POST presentation_gw/Utility/GetAlertById

Documentation for 'GetAlertById'.

Request Information

Parameters

NameDescriptionAdditional information
request
Documentation for 'request'.

Define this parameter in the request body.

Request body formats

application/json, text/json

Sample:
{
  "AlertId": "09c928b4-396f-46e6-84f5-7b88ae2a3d9f",
  "IsProtest": true
}

application/xml, text/xml

Sample:
<GetAlertByIdRequest xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Crif.Consumer.Communication.DTOs.Requests">
  <AlertId>09c928b4-396f-46e6-84f5-7b88ae2a3d9f</AlertId>
  <IsProtest>true</IsProtest>
</GetAlertByIdRequest>

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Response body formats

application/json, text/json

Sample:
{
  "alertId": "f81d63a5-2b53-471b-bdd8-303809af8b84",
  "alertDate": "\/Date(1779288347078+0000)\/",
  "sendDate": "\/Date(1779288347078+0000)\/",
  "read": true,
  "eventTextId": "sample string 1",
  "infoCreditizia": null,
  "infoPubblicheProtesto": null,
  "IsMonitoraggioWeb": true,
  "BestAdvice": "sample string 3",
  "Message": "sample string 4",
  "ShortMessage": "sample string 5",
  "Link": "sample string 6",
  "Value": "sample string 7",
  "AlertsRelated": [
    1,
    2,
    3
  ],
  "Category": "sample string 8",
  "Severity": "sample string 9",
  "SeverityLabel": "sample string 10",
  "FoundDate": "\/Date(1779288347078+0000)\/",
  "ServiceName": "sample string 11",
  "FoundDateOnly": "sample string 12",
  "RatingScore": 1
}

application/xml

Sample:

Sample not available.

text/xml

Sample:

Sample not available.